Package org.apache.sysds.runtime.functionobjects

## Enum Builtin.BuiltinCode

- java.lang.Object
- - java.lang.Enum<Builtin.BuiltinCode>
  - - org.apache.sysds.runtime.functionobjects.Builtin.BuiltinCode

All Implemented Interfaces:
  `Serializable`, `Comparable<Builtin.BuiltinCode>`

Enclosing class:
  Builtin

    public static enum Builtin.BuiltinCode
    extends Enum<Builtin.BuiltinCode>

### Enum Constant Summary

Enum Constants
`ABS`
`ACOS`
`APPLY_SCHEMA`
`ASIN`
`ATAN`
`AUTODIFF`
`CEIL`
`COS`
`COSH`
`COUNT_DISTINCT`
`COUNT_DISTINCT_APPROX`
`CUMMAX`
`CUMMIN`
`CUMPROD`
`CUMSUM`
`CUMSUMPROD`
`DETECTSCHEMA`
`DROP_INVALID_LENGTH`
`DROP_INVALID_TYPE`
`EVAL`
`EXP`
`FLOOR`
`FRAME_ROW_REPLICATE`
`INVERSE`
`ISINF`
`ISNA`
`ISNAN`
`LENGTH`
`LINEAGE`
`LIST`
`LOG`
`LOG_NZ`
`MAP`
`MAX`
`MAXINDEX`
`MIN`
`MININDEX`
`NCOL`
`NROW`
`PLOGP`
`PRINT`
`PRINTF`
`ROUND`
`SIGMOID`
`SIGN`
`SIN`
`SINH`
`SPROP`
`SQRT`
`STOP`
`TAN`
`TANH`
`TYPEOF`
`UNIQUE`
`VALUE_SWAP`

### Method Summary

All Methods Static Methods Concrete Methods
`static Builtin.BuiltinCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Builtin.BuiltinCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTODIFF

    public static final Builtin.BuiltinCode AUTODIFF

#### SIN

    public static final Builtin.BuiltinCode SIN

#### COS

    public static final Builtin.BuiltinCode COS

#### TAN

    public static final Builtin.BuiltinCode TAN

#### SINH

    public static final Builtin.BuiltinCode SINH

#### COSH

    public static final Builtin.BuiltinCode COSH

#### TANH

    public static final Builtin.BuiltinCode TANH

#### ASIN

    public static final Builtin.BuiltinCode ASIN

#### ACOS

    public static final Builtin.BuiltinCode ACOS

#### ATAN

    public static final Builtin.BuiltinCode ATAN

#### LOG

    public static final Builtin.BuiltinCode LOG

#### LOG_NZ

    public static final Builtin.BuiltinCode LOG_NZ

#### MIN

    public static final Builtin.BuiltinCode MIN

#### MAX

    public static final Builtin.BuiltinCode MAX

#### ABS

    public static final Builtin.BuiltinCode ABS

#### SIGN

    public static final Builtin.BuiltinCode SIGN

#### SQRT

    public static final Builtin.BuiltinCode SQRT

#### EXP

    public static final Builtin.BuiltinCode EXP

#### PLOGP

    public static final Builtin.BuiltinCode PLOGP

#### PRINT

    public static final Builtin.BuiltinCode PRINT

#### PRINTF

    public static final Builtin.BuiltinCode PRINTF

#### NROW

    public static final Builtin.BuiltinCode NROW

#### NCOL

    public static final Builtin.BuiltinCode NCOL

#### LENGTH

    public static final Builtin.BuiltinCode LENGTH

#### LINEAGE

    public static final Builtin.BuiltinCode LINEAGE

#### ROUND

    public static final Builtin.BuiltinCode ROUND

#### MAXINDEX

    public static final Builtin.BuiltinCode MAXINDEX

#### MININDEX

    public static final Builtin.BuiltinCode MININDEX

#### STOP

    public static final Builtin.BuiltinCode STOP

#### CEIL

    public static final Builtin.BuiltinCode CEIL

#### FLOOR

    public static final Builtin.BuiltinCode FLOOR

#### CUMSUM

    public static final Builtin.BuiltinCode CUMSUM

#### CUMPROD

    public static final Builtin.BuiltinCode CUMPROD

#### CUMMIN

    public static final Builtin.BuiltinCode CUMMIN

#### CUMMAX

    public static final Builtin.BuiltinCode CUMMAX

#### CUMSUMPROD

    public static final Builtin.BuiltinCode CUMSUMPROD

#### INVERSE

    public static final Builtin.BuiltinCode INVERSE

#### SPROP

    public static final Builtin.BuiltinCode SPROP

#### SIGMOID

    public static final Builtin.BuiltinCode SIGMOID

#### EVAL

    public static final Builtin.BuiltinCode EVAL

#### LIST

    public static final Builtin.BuiltinCode LIST

#### TYPEOF

    public static final Builtin.BuiltinCode TYPEOF

#### APPLY_SCHEMA

    public static final Builtin.BuiltinCode APPLY_SCHEMA

#### DETECTSCHEMA

    public static final Builtin.BuiltinCode DETECTSCHEMA

#### ISNA

    public static final Builtin.BuiltinCode ISNA

#### ISNAN

    public static final Builtin.BuiltinCode ISNAN

#### ISINF

    public static final Builtin.BuiltinCode ISINF

#### DROP_INVALID_TYPE

    public static final Builtin.BuiltinCode DROP_INVALID_TYPE

#### DROP_INVALID_LENGTH

    public static final Builtin.BuiltinCode DROP_INVALID_LENGTH

#### VALUE_SWAP

    public static final Builtin.BuiltinCode VALUE_SWAP

#### FRAME_ROW_REPLICATE

    public static final Builtin.BuiltinCode FRAME_ROW_REPLICATE

#### MAP

    public static final Builtin.BuiltinCode MAP

#### COUNT_DISTINCT

    public static final Builtin.BuiltinCode COUNT_DISTINCT

#### COUNT_DISTINCT_APPROX

    public static final Builtin.BuiltinCode COUNT_DISTINCT_APPROX

#### UNIQUE

    public static final Builtin.BuiltinCode UNIQUE

### Method Detail

#### values

    public static Builtin.BuiltinCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Builtin.BuiltinCode c : Builtin.BuiltinCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Builtin.BuiltinCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null